Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.agents.update_function_tool(tool_id="fnt_order_lookup", type_="function", name="lookup_order", parameters={
"type": "object",
"properties": {
"order_id": {
"type": "string",
},
},
"required": [
"order_id",
],
"additionalProperties": False,
}, description="Look up an order", strict=True)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.agents.updateFunctionTool({
toolId: "fnt_order_lookup",
agentsFunctionToolDefinition: {
type: "function",
name: "lookup_order",
description: "Look up an order",
parameters: {
"type": "object",
"properties": {
"order_id": {
"type": "string",
},
},
"required": [
"order_id",
],
"additionalProperties": false,
},
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Agents.UpdateFunctionToolAsync(
toolId: "fnt_order_lookup",
body: new AgentsFunctionToolDefinition() {
Type = AgentsFunctionToolDefinitionType.Function,
Name = "lookup_order",
Description = "Look up an order",
Parameters = new Dictionary<string, object>() {
{ "type", "object" },
{ "properties", new Dictionary<string, object>() {
{ "order_id", new Dictionary<string, object>() {
{ "type", "string" },
} },
} },
{ "required", new List<object>() {
"order_id",
} },
{ "additionalProperties", false },
},
}
);
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/agents/function-tools/{tool_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "function",
"name": "lookup_order",
"description": "Buscar un pedido",
"parameters": {
"type": "object",
"properties": {
"order_id": {
"type": "string"
}
},
"required": [
"order_id"
],
"additionalProperties": false
},
"strict": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'function',
name: 'lookup_order',
description: 'Buscar un pedido',
parameters: {
type: 'object',
properties: {order_id: {type: 'string'}},
required: ['order_id'],
additionalProperties: false
},
strict: true
})
};
fetch('https://apigw.mka1.com/api/v1/agents/function-tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/agents/function-tools/{tool_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'function',
'name' => 'lookup_order',
'description' => 'Buscar un pedido',
'parameters' => [
'type' => 'object',
'properties' => [
'order_id' => [
'type' => 'string'
]
],
'required' => [
'order_id'
],
'additionalProperties' => false
],
'strict' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apigw.mka1.com/api/v1/agents/function-tools/{tool_id}"
payload := strings.NewReader("{\n \"type\": \"function\",\n \"name\": \"lookup_order\",\n \"description\": \"Buscar un pedido\",\n \"parameters\": {\n \"type\": \"object\",\n \"properties\": {\n \"order_id\": {\n \"type\": \"string\"\n }\n },\n \"required\": [\n \"order_id\"\n ],\n \"additionalProperties\": false\n },\n \"strict\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://apigw.mka1.com/api/v1/agents/function-tools/{tool_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"function\",\n \"name\": \"lookup_order\",\n \"description\": \"Buscar un pedido\",\n \"parameters\": {\n \"type\": \"object\",\n \"properties\": {\n \"order_id\": {\n \"type\": \"string\"\n }\n },\n \"required\": [\n \"order_id\"\n ],\n \"additionalProperties\": false\n },\n \"strict\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/agents/function-tools/{tool_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"function\",\n \"name\": \"lookup_order\",\n \"description\": \"Buscar un pedido\",\n \"parameters\": {\n \"type\": \"object\",\n \"properties\": {\n \"order_id\": {\n \"type\": \"string\"\n }\n },\n \"required\": [\n \"order_id\"\n ],\n \"additionalProperties\": false\n },\n \"strict\": true\n}"
response = http.request(request)
puts response.read_body{
"object": "agent.function_tool",
"id": "<string>",
"definition": {
"type": "function",
"name": "<string>",
"parameters": {},
"description": "<string>",
"strict": true,
"defer_loading": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Agents
Reemplazar la definición de una función reutilizable
Las actualizaciones se aplican a todos los agentes adjuntos en su siguiente ejecución. Las instantáneas de ejecución existentes son inmutables.
POST
/
api
/
v1
/
agents
/
function-tools
/
{tool_id}
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.agents.update_function_tool(tool_id="fnt_order_lookup", type_="function", name="lookup_order", parameters={
"type": "object",
"properties": {
"order_id": {
"type": "string",
},
},
"required": [
"order_id",
],
"additionalProperties": False,
}, description="Look up an order", strict=True)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.agents.updateFunctionTool({
toolId: "fnt_order_lookup",
agentsFunctionToolDefinition: {
type: "function",
name: "lookup_order",
description: "Look up an order",
parameters: {
"type": "object",
"properties": {
"order_id": {
"type": "string",
},
},
"required": [
"order_id",
],
"additionalProperties": false,
},
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Agents.UpdateFunctionToolAsync(
toolId: "fnt_order_lookup",
body: new AgentsFunctionToolDefinition() {
Type = AgentsFunctionToolDefinitionType.Function,
Name = "lookup_order",
Description = "Look up an order",
Parameters = new Dictionary<string, object>() {
{ "type", "object" },
{ "properties", new Dictionary<string, object>() {
{ "order_id", new Dictionary<string, object>() {
{ "type", "string" },
} },
} },
{ "required", new List<object>() {
"order_id",
} },
{ "additionalProperties", false },
},
}
);
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/agents/function-tools/{tool_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "function",
"name": "lookup_order",
"description": "Buscar un pedido",
"parameters": {
"type": "object",
"properties": {
"order_id": {
"type": "string"
}
},
"required": [
"order_id"
],
"additionalProperties": false
},
"strict": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'function',
name: 'lookup_order',
description: 'Buscar un pedido',
parameters: {
type: 'object',
properties: {order_id: {type: 'string'}},
required: ['order_id'],
additionalProperties: false
},
strict: true
})
};
fetch('https://apigw.mka1.com/api/v1/agents/function-tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/agents/function-tools/{tool_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'function',
'name' => 'lookup_order',
'description' => 'Buscar un pedido',
'parameters' => [
'type' => 'object',
'properties' => [
'order_id' => [
'type' => 'string'
]
],
'required' => [
'order_id'
],
'additionalProperties' => false
],
'strict' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apigw.mka1.com/api/v1/agents/function-tools/{tool_id}"
payload := strings.NewReader("{\n \"type\": \"function\",\n \"name\": \"lookup_order\",\n \"description\": \"Buscar un pedido\",\n \"parameters\": {\n \"type\": \"object\",\n \"properties\": {\n \"order_id\": {\n \"type\": \"string\"\n }\n },\n \"required\": [\n \"order_id\"\n ],\n \"additionalProperties\": false\n },\n \"strict\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://apigw.mka1.com/api/v1/agents/function-tools/{tool_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"function\",\n \"name\": \"lookup_order\",\n \"description\": \"Buscar un pedido\",\n \"parameters\": {\n \"type\": \"object\",\n \"properties\": {\n \"order_id\": {\n \"type\": \"string\"\n }\n },\n \"required\": [\n \"order_id\"\n ],\n \"additionalProperties\": false\n },\n \"strict\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/agents/function-tools/{tool_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"function\",\n \"name\": \"lookup_order\",\n \"description\": \"Buscar un pedido\",\n \"parameters\": {\n \"type\": \"object\",\n \"properties\": {\n \"order_id\": {\n \"type\": \"string\"\n }\n },\n \"required\": [\n \"order_id\"\n ],\n \"additionalProperties\": false\n },\n \"strict\": true\n}"
response = http.request(request)
puts response.read_body{
"object": "agent.function_tool",
"id": "<string>",
"definition": {
"type": "function",
"name": "<string>",
"parameters": {},
"description": "<string>",
"strict": true,
"defer_loading": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Autorizaciones
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Encabezados
Optional external end-user identifier forwarded by the API gateway.
Parámetros de ruta
Cuerpo
application/json
¿Esta página le ayudó?
⌘I